<?php
/**
 * The product module zh-cn ext file of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Xiying Guan <guanxiying@xirangit.com>
 * @package     product
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
$lang->product->all    = 'All';
$lang->product->common = 'Product';

$lang->product->settings    = 'Settings';
$lang->product->adminfield  = 'Attributes';
$lang->product->createfield = 'Create';
$lang->product->editfield   = 'Edit';
$lang->product->deletefield = 'Delete';

$lang->product->adminroles       = 'Role';
$lang->product->adminaction      = 'Process';
$lang->product->createaction     = 'Create Action';
$lang->product->editaction       = 'Edit Action';
$lang->product->deleteaction     = 'Delete Action';
$lang->product->actionconditions = 'Condition';
$lang->product->actioninputs     = 'Input';
$lang->product->actionresults    = 'Result';
$lang->product->actiontasks      = 'Trigger Task';

$lang->product->adminresult  = 'Result';
$lang->product->createresult = 'Create Result';
$lang->product->editresult   = 'Edit Result';
$lang->product->deleteresult = 'Delete Result';

$lang->product->copy = 'Copy';

$lang->product->field  = new stdclass();
$lang->product->field->name        = 'Name';
$lang->product->field->field       = 'Field';
$lang->product->field->options     = 'Options';
$lang->product->field->control     = 'Control';
$lang->product->field->default     = 'Default';
$lang->product->field->rules       = 'Verification';
$lang->product->field->desc        = 'Description';
$lang->product->field->placeholder = 'Place Holder';
$lang->product->field->optionValue = 'Alias. It should be letters or numbers.';
$lang->product->field->optionText  = 'Description';

$lang->product->field->admin  = 'Attributes';
$lang->product->field->create = 'Create Attribute';
$lang->product->field->edit   = 'Edit Attribute';

$lang->product->field->controlTypeList = array();
$lang->product->field->controlTypeList['input']    = 'Textbox';
$lang->product->field->controlTypeList['textarea'] = 'Rich Text';
$lang->product->field->controlTypeList['date']     = 'Date';
$lang->product->field->controlTypeList['select']   = 'Dropdown';
$lang->product->field->controlTypeList['radio']    = 'Radio';
$lang->product->field->controlTypeList['checkbox'] = 'Checkbox';

$lang->product->field->rulesList = array();
$lang->product->field->rulesList['notempty'] = 'Required';
$lang->product->field->rulesList['unique']   = 'Unique';
$lang->product->field->rulesList['date']     = 'Date';
$lang->product->field->rulesList['email']    = 'Email';
$lang->product->field->rulesList['float']    = 'Number';
$lang->product->field->rulesList['phone']    = 'Phone';
$lang->product->field->rulesList['ip']       = 'IP';

$lang->product->field->optionsPlaceholder = 'Seperated by space or comma.';
$lang->product->field->lengthNotice       = 'Attention, it may cause data loss!';
$lang->product->field->unique             = 'The selected product has same fields.';

$lang->product->action = new stdclass();
$lang->product->action->action     = 'Action';
$lang->product->action->name       = 'Name';
$lang->product->action->conditions = 'Condition';
$lang->product->action->param      = 'Parameter';
$lang->product->action->inputs     = 'Input';
$lang->product->action->results    = 'Result';
$lang->product->action->tasks      = 'Task';

$lang->product->action->admin           = 'Processes';
$lang->product->action->create          = 'Create Action';
$lang->product->action->edit            = 'Edit Action';
$lang->product->action->adminConditions = 'Condition';
$lang->product->action->createResult    = 'Create Result';
$lang->product->action->editResult      = 'Edit Result';
$lang->product->action->adminInputs     = 'Action Input';
$lang->product->action->adminResults    = 'Action Result';
$lang->product->action->adminTasks      = 'Trigger Task';

$lang->product->task = new stdclass();
$lang->product->task->role     = 'Role';
$lang->product->task->name     = 'Name';
$lang->product->task->desc     = 'Description';
$lang->product->task->days     = 'Start';
$lang->product->task->estimate = 'Estimates';

$lang->product->task->daysOptions = array();
$lang->product->task->daysOptions[0]  = 'Today';
$lang->product->task->daysOptions[2]  = '2 Days';
$lang->product->task->daysOptions[3]  = '3 Days';
$lang->product->task->daysOptions[4]  = '4 Days';
$lang->product->task->daysOptions[7]  = 'A Week';
$lang->product->task->daysOptions[10] = '10 Days';
$lang->product->task->daysOptions[15] = '2 Weeks';
$lang->product->task->daysOptions[30] = 'A Month';

$lang->product->roleCode = 'Role alias. It should be letters or numbers.';
$lang->product->roleName = 'Role Name';
$lang->product->copyTip  = 'Copy the fields, actions and roles of the product to the selected one.';

if(!isset($lang->product->error)) $lang->product->error = new stdclass();
$lang->product->error->createTableFail = 'Failed to create the extension table of product attributes.';
$lang->product->error->renameTableFail = 'Failed to rename the extension table of product attributes.';
$lang->product->error->exist           = 'Product with the same name and specificatioin exists.';

$lang->product->createFromOrder       = 'Create Product For Order';
$lang->product->batchCreate           = 'Batch Create';
$lang->product->import                = 'Import';
$lang->product->exportTemplate        = 'Export Template';
$lang->product->browseProperties      = 'View Spec&Unit';
$lang->product->batchCreateProperties = 'Batch Create Spec&Unit';
$lang->product->createProperty        = 'Create Spec&Unit';
$lang->product->editProperty          = 'Edit Spec&Unit';
$lang->product->deleteProperty        = 'Delete Spec&Unit';

$lang->product->pinyin   = 'Pinyin';
$lang->product->model    = 'Spec';
$lang->product->unit     = 'Unit';
$lang->product->barcode  = 'Barcode';
$lang->product->brand    = 'Brand';
$lang->product->store    = 'Warehouse';
$lang->product->price    = 'Price';
$lang->product->amount   = 'Amount';

$lang->product->models    = array();
$lang->product->units     = array();
$lang->product->expresses = array();

$lang->product->createCategory = 'New';
$lang->product->createModel    = 'New';
$lang->product->createUnit     = 'New';
$lang->product->input          = 'Input';
$lang->product->search         = 'Search';

$lang->product->property = new stdclass();
$lang->product->property->models    = 'Specification';
$lang->product->property->units     = 'Unit';
$lang->product->property->expresses = 'Express';

$lang->product->placeholder->batchCreate = new stdclass();
$lang->product->placeholder->batchCreate->name = 'The record with empty name will not be saved.';
$lang->product->placeholder->batchCreate->code = 'The record with empty alias not be saved.';
